; ******************************
;  BUZZ1.ASM	MPB  30-11-10
;  Generates an audio tone 
; ******************************
 	 PROCESSOR 16F84A	

; Register Label Equates........

PORTA   EQU     05		
PORTB   EQU     06		
Count   EQU     0C		

; Register Bit Label Equates ...

Input   EQU     4		
Buzzer  EQU     0		

; Initialise (Default = Input) ..
        
        MOVLW   b'00000000'  	
        TRIS    PORTB		
	CLRF	PORTB		
        GOTO    check		

; Delay Subroutine .............

delay   MOVLW   0FF		
        MOVWF   Count
down    DECFSZ  Count
        GOTO    down
        RETURN

; Main Loop ...................

check   BTFSC   PORTA,Input	
        GOTO    check		

        BSF     PORTB,Buzzer	
        CALL    delay		
        BCF     PORTB,Buzzer	
        CALL    delay		
        GOTO    check		
	
        END 

;******************************




