; diz1.asm

	PROCESSOR 16F84A

; Test DIZI hardware ......................

        GOTO    inter	; jump over delay

; Delay Subroutine ........................

delay   MOVLW   0FF	; Load FF
        MOVWF   0C	; into counter
down    DECFSZ  0C	; and decrement
        GOTO    down	; until zero
        RETURN

; Check Interrupt Button ..................

inter   BTFSC   06,0	; Test Button RB0
        GOTO   inter	; until pressed
        
; Check Display ...........................
       
	  MOVLW   00	; Set PortB bits
	  TRIS    06	; as outputs
        MOVLW   0FF	; Switch on all
        MOVWF   06	; display segments

; Check Input Button ......................

input   BTFSC   05,4	; Test Button RA4
        GOTO    input	; until pressed

; Check DIP Switches and Buzzer ...........

again   MOVF    05,W	; get DIL input &
        MOVWF   06	; send to display
        RLF     06	; rotate bits left

        BSF     06,0	; set buzzer high
        CALL    delay	; delay about 1ms
        BCF     06,0	; reset buzzer low
        CALL    delay	; delay about 1ms
        
        GOTO    again	; and keep going..
        END 		; End of code

  
 
