;*******************************
;  GEN2.ASM  MPB 2-12-10
;  Audio generator 200Hz-20kHz
;  RB0 = Output to buzzer
;  RA0 = Decrease frequency
;*******************************

	PROCESSOR 16F84A

PORTA	EQU	05
PORTB	EQU	06
Multi	EQU	0C
Count1	EQU	0D
Count2	EQU	0E

; Initialsie ...............

 	MOVLW	B'11111110'
	TRIS	PORTB
	MOVLW	02
	MOVWF	Multi
 
; Output one cycle .........

Cycle	BSF	PORTB,0
	CALL	Half
	BCF	PORTB,0
	CALL	Half
	BTFSC	PORTA,4
	GOTO	Cycle

; Reduce frequency.........

	INCF	Multi
	CLRF	Count2
Down2	DECFSZ	Count2
	GOTO	Down2
Wait	BTFSS	PORTA,4
	GOTO	Wait
	GOTO	Cycle	

; Delay one half cycle...

Half	MOVF	Multi,W	
	MOVWF	Count1
Down1	NOP
	NOP
	NOP
	NOP
	NOP
	DECFSZ	Count1
	GOTO	Down1
	RETURN
	
	END	; ******


