;**********************************
; 	HEX1.ASM  MPB	2-12-10
; 	Program to convert binary
; 	input to 7 segment output
; *********************************
	
	PROCESSOR 16F84A

PortA	EQU	05		
PortB	EQU	06	
PCL	EQU	02

	MOVLW	B'0000000'	
	TRIS	PortB

Start	MOVF	PortA,W		
	ANDLW	B'00001111'	
	CALL	Table		
	MOVWF	PortB		
	GOTO	Start		

Table	ADDWF	PCL	
	RETLW	07E	
	RETLW	00C	
	RETLW	0B6	
 	RETLW	09E	
	RETLW	0CC	
	RETLW	0DA	
	RETLW	0FA	
	RETLW	00E	
	RETLW	0FE	
	RETLW	0CE	
	RETLW	0EE	
	RETLW	0F8	
	RETLW	072	
 	RETLW	0BC	
	RETLW	0F2	
	RETLW	0E2	
	
	END 
