;......................................................
; index.asm		M Bates	29-10-03
; .....................................................
; Demonstrates indexed indirect addressing by 
; writing a dummy data table to GPRs 20 - 2F
; .....................................................

   PROCESSOR 16F84A		; select processor    

FSR	EQU	  04		; File Select Register
INDF	EQU	  00		; Indirect File Register

	MOVLW     020		; First GPR = 20h
	MOVWF	  FSR		; to FSR
	MOVLW	  0AA		; Dummy data

next	MOVWF	  INDF		; to INDF and GPRxx
	INCF	  FSR		; Increment GPR Pointer
	BTFSS	  FSR,4		; Test for GPR = 30h
	GOTO	  next		; Write next GPR

	SLEEP			; Stop when GPR = 30h

	END			; of source code


