; ****************************
;  DICE1.ASM	MPB  30-11-10
;  Displays pseudo-random 
;  numbers between 1 and 6
; ****************************
; 	
 	PROCESSOR 16F84A	

; Register Label Equates.

PCL	EQU	02	
PORTA   EQU    	05	 
PORTB	EQU	06	
Count 	EQU	0C	
Roll	EQU	4	

; Initialise (Default = Input) 
        
 	MOVLW	b'00000001'	
	TRIS	PORTB		
	MOVLW	0FF		
	MOVWF	PORTB		
	GOTO 	reload		

; Table subroutine ............

table	MOVF	Count,W		
	ADDWF	PCL		
	NOP			
	RETLW	00C		
	RETLW	0B6		
	RETLW	09E		
	RETLW	0CC		
	RETLW	0DA		
	RETLW	0FA		
	
; Main Loop ...................

reload	MOVLW	06		
	MOVWF	Count		

start	BTFSC	PORTA,Roll	
	GOTO	nexnum		
	CALL	table		 
	MOVWF	PORTB		
	GOTO	start		

nexnum	DECFSZ	Count		
	GOTO	start		
	GOTO	reload		
	
        END	

;*****************************	



