;**************************
; 	MESS1.ASM   
;	MPB 2-12-10
; 	Message display
; *************************

	PROCESSOR 16F84A

PCL	EQU	02
PortA	EQU	05
PortB	EQU	06
Timer1	EQU	0C
Timer2	EQU 	0D
Timer3	EQU	0E
count	EQU	0F

; Initialise...............

	CLRW
	TRIS	PortB

; Output loop..............

repeat	MOVLW	D'12'
	MOVWF	count

next	MOVF	count,w
	CALL	table
	MOVWF	PortB
	CALL	delay
	DECFSZ	count
	GOTO	next
	GOTO	repeat

; Meassage delays..........

delay	MOVLW	05
	MOVWF	Timer3

loop3	MOVLW	0FF
	MOVWF	Timer2
loop2	MOVLW	0FF
	MOVWF	Timer1
loop1	DECFSZ	Timer1
	GOTO	loop1

	DECFSZ	Timer2
	GOTO	loop2
	DECFSZ	Timer3
	GOTO	loop3
	RETURN

; Message characters.....
		
table	ADDWF	PCL	
	NOP
	RETLW	B'00000000'
	RETLW	B'00000000'
	RETLW	B'01111110'
	RETLW	B'00000000'
	RETLW	B'01110000'
	RETLW	B'00000000'
	RETLW	B'01110000'
	RETLW	B'00000000'
	RETLW	B'11110010'
	RETLW	B'00000000'
	RETLW	B'11101100'
	RETLW	B'00000000'
		
	END
