;******************************
; 	SEC1.ASM
; 	MPB 30-11-10
;	One second counter
;******************************

	PROCESSOR 16F84A

PCL	EQU	02
PortA	EQU	05
PortB	EQU	06
count	EQU	0C
Timer0	EQU	0D
Timer1	EQU	0E
Timer2	EQU	0F

	CLRW
	TRIS	PortB

repeat	MOVLW	D'10'
	MOVWF 	count

next	MOVF 	count,w
	CALL   	table
	MOVWF  	PortB
	CALL 	delay
	DECFSZ 	count
	GOTO   	next
	GOTO   	repeat

delay	MOVLW	D'25'
	MOVWF	Timer0
loop0	MOVLW	D'100'
	MOVWF	Timer1
loop1  	MOVLW	D'99'
        MOVWF   Timer2
loop2  	NOP
	DECFSZ  Timer2
        GOTO    loop2
	DECFSZ	Timer1
	GOTO	loop1
	DECFSZ	Timer0
	GOTO	loop0
        RETURN

table   ADDWF  	PCL
        NOP
        RETLW   07E
	RETLW   00C
	RETLW   0B6
	RETLW   09E
	RETLW   0CC
	RETLW   0DA
	RETLW   0FA
	RETLW   00E
	RETLW   0FE
	RETLW   0CE
                
                END
              


